Package org.jbpm.workflow.core

## Class DroolsAction

- java.lang.Object
- - org.jbpm.workflow.core.DroolsAction

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.drools.core.spi.Wireable`
  Direct Known Subclasses:
    `DroolsConsequenceAction`, `JavaDroolsAction`

      public class DroolsAction
      extends Object
      implements Externalizable, org.drools.core.spi.Wireable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Wireable

      `org.drools.core.spi.Wireable.Immutable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsAction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getMetaData​(String name)` |
    `String` | `getName()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` |
    `void` | `wire​(Object object)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsAction

          public DroolsAction()

  - ### Method Detail

    - #### wire

          public void wire​(Object object)

      Specified by:
        `wire` in interface `org.drools.core.spi.Wireable`

    - #### setMetaData

          public void setMetaData​(String name,
                                  Object value)

    - #### getMetaData

          public Object getMetaData​(String name)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`